# Poco::Net

# class ConsoleCertificateHandler

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/ConsoleCertificateHandler.h

## Description

A ConsoleCertificateHandler is invoked whenever an error occurs verifying the certificate.

The certificate is printed to stdout and the user is asked via console if he wants to accept it.

## Inheritance

Direct Base Classes: InvalidCertificateHandler

All Base Classes: InvalidCertificateHandler

## Member Summary

Member Functions: onInvalidCertificate

Inherited Functions: onInvalidCertificate

## Constructors

### ConsoleCertificateHandler

ConsoleCertificateHandler(
bool handleErrorsOnServerSide
);

Creates the ConsoleCertificateHandler.

## Destructor

### ~ConsoleCertificateHandler

virtual ~ConsoleCertificateHandler();

Destroys the ConsoleCertificateHandler.

## Member Functions

### onInvalidCertificate

void onInvalidCertificate(
const void * pSender,
VerificationErrorArgs & errorCert
);

Prints the certificate to stdout and waits for user input on the console to decide if a certificate should be accepted/rejected.

See also: Poco::Net::InvalidCertificateHandler::onInvalidCertificate()